Bug 44777 - nss: Multiple issues (4.2)
nss: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P2 normal (vote)
: UCS 4.2-1-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks: 42858
  Show dependency treegraph
 
Reported: 2017-06-13 13:04 CEST by Arvid Requate
Modified: 2017-06-28 15:33 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 9.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-06-13 13:04:34 CEST
Upstream Debian package has bee updated to version 2:3.26-1+debu8u2 which fixes:

* Out-of-bounds write in Base64 encoding. This can trigger a crash (denial of service) and might be exploitable for code execution (CVE-2017-5461)

* A flaw in DRBG number generation where the internal state V does not correctly carry bits over (CVE-2017-5462)

* Null pointer dereference vulnerability in NSS since 3.24.0 was found when server receives empty SSLv2 messages resulting into denial of service by remote attacker (CVE-2017-7502)
Comment 1 Philipp Hahn univentionstaff 2017-06-15 16:11:44 CEST
r80214 | Bug #44777: nss
        A       doc/errata/staging/nss.yaml

QA: piuparts -D debian --keep-sources-list -d --bindmount=/var/univention/buildsystem2/apt/ucs_4.2-0-errata4.2-0 --verbose -b /var/univention/buildsystem2/pbuilder/ucs_4.2-0-errata4.2-0_amd64.tgz /var/univention/buildsystem2/apt/ucs_4.2-0-errata4.2-0/amd64/libnss3-tools_3.26-1+debu8u2_amd64.deb
Comment 2 Arvid Requate univentionstaff 2017-06-22 20:29:00 CEST
I've installed univention-java and updated.

* Package imported and built in errata4.2-0
* I've moved and updated the advisory to errata4.2-1
* Advisory content ok (magic, looks like collected from two DLAs)
* Package update ok (libnss3)

Reopen: The package is not shown in errata4.2-0 by repo_stat.py
Comment 3 Philipp Hahn univentionstaff 2017-06-26 00:14:58 CEST
(In reply to Arvid Requate from comment #2)
> Reopen: The package is not shown in errata4.2-0 by repo_stat.py

Fixed
Comment 4 Arvid Requate univentionstaff 2017-06-26 11:44:25 CEST
Ok
Comment 5 Janek Walkenhorst univentionstaff 2017-06-28 15:33:41 CEST
<http://errata.software-univention.de/ucs/4.2/59.html>